Download it now!
Bug 34997 - soffice.bin crashed with SIGSEGV in SvXMLImport::endElement()
Summary: soffice.bin crashed with SIGSEGV in SvXMLImport::endElement()
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: x86 (IA32) Linux (All)
: medium critical
Assignee: Cédric Bosdonnat
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-03 20:51 UTC by Christopher M. Penalver
Modified: 2011-05-18 12:39 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
BARD_4558_csp_support_to_public_activists_2010.odt (59.20 KB, application/vnd.oasis.opendocument.text)
2011-03-03 20:51 UTC, Christopher M. Penalver
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2011-03-03 20:51:20 UTC
Created attachment 44103 [details]
BARD_4558_csp_support_to_public_activists_2010.odt

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/716598

1) lsb_release -rd
Description: Ubuntu natty (development branch)
Release: 11.04

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.3.1-1ubuntu4
  Candidate: 1:3.3.1-1ubuntu4
  Version table:
 *** 1:3.3.1-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages 100
/var/lib/dpkg/status

3) What is expected to happen is when one performs the following at the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/682490/+attachment/1748216/+files/BARD_4558_csp_support_to_public_activists_2010.odt && lowriter -nologo BARD_4558_csp_support_to_public_activists_2010.odt

the file opens.

4) What happens instead is that it crashes everytime.
Comment 1 Katarina Behrens 2011-03-23 08:54:14 UTC
Reproduced on openSUSE 11.4 as well. Cedric, can you please have a look?
Comment 2 Michael Meeks 2011-05-18 12:39:42 UTC
pushed Cedric's fix (another container re-writing issue I guess).